com.fasterxml.jackson.dataformat.xml.util

## Class StaxUtil

- java.lang.Object
- - com.fasterxml.jackson.dataformat.xml.util.StaxUtil

    public class StaxUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StaxUtil()`

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static String` `sanitizeXmlTypeName(String name)` Since XML names can not contain all characters JSON names can, we may need to replace characters.
`static <T> T` `throwAsGenerationException(XMLStreamException e, com.fasterxml.jackson.core.JsonGenerator g)`
`static <T> T` `throwAsParseException(XMLStreamException e, com.fasterxml.jackson.core.JsonParser p)`
`static <T> T` `throwXmlAsIOException(XMLStreamException e)` Deprecated. Since 2.9

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StaxUtil

    public StaxUtil()

### Method Detail

#### throwXmlAsIOException

    @Deprecated
    public static <T> T throwXmlAsIOException(XMLStreamException e)
                                                   throws IOException

Deprecated. Since 2.9
Adapter method used when only IOExceptions are declared to be thrown, but a `XMLStreamException` was caught.

Note: dummy type variable is used for convenience, to allow caller to claim that this method returns result of any necessary type.

Throws:
  `IOException`

#### throwAsParseException

    public static <T> T throwAsParseException(XMLStreamException e,
                                              com.fasterxml.jackson.core.JsonParser p)
                                       throws IOException

Throws:
  `IOException`
Since:
  2.9

#### throwAsGenerationException

    public static <T> T throwAsGenerationException(XMLStreamException e,
                                                   com.fasterxml.jackson.core.JsonGenerator g)
                                            throws IOException

Throws:
  `IOException`
Since:
  2.9

#### sanitizeXmlTypeName

    public static String sanitizeXmlTypeName(String name)

Since XML names can not contain all characters JSON names can, we may need to replace characters. Let's start with trivial replacement of ASCII characters that can not be included.